Skip to main content
GET
/
eval-runs
List Evaluation Runs
curl --request GET \
  --url https://api.example.com/eval-runs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/eval-runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/eval-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "a03fa2f4-900d-482d-afe0-470d4cd8d1f4",
      "agent_id": "basic-agent",
      "model_id": "gpt-4o",
      "model_provider": "OpenAI",
      "name": "Test ",
      "eval_type": "reliability",
      "eval_data": {
        "eval_status": "PASSED",
        "failed_tool_calls": [],
        "passed_tool_calls": [
          "multiply"
        ]
      },
      "eval_input": {
        "expected_tool_calls": [
          "multiply"
        ]
      },
      "created_at": "2025-08-27T15:41:59Z",
      "updated_at": "2025-08-27T15:41:59Z"
    }
  ]
}
{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}
{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}
{
"detail": "Not found",
"error_code": "NOT_FOUND"
}
{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}
{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agent_id
string | null

Agent ID

team_id
string | null

Team ID

workflow_id
string | null

Workflow ID

model_id
string | null

Model ID

type
enum<string> | null

Filter type

Available options:
agent,
team,
workflow
limit
integer | null
default:20

Number of eval runs to return

Required range: x >= 1
page
integer | null
default:1

Page number

Required range: x >= 0
sort_by
string | null
default:created_at

Field to sort by

sort_order
enum<string> | null
default:desc

Sort order (asc or desc)

Available options:
asc,
desc
db_id
string | null

The ID of the database to use

table
string | null

The database table to use

eval_types
string | null

Comma-separated eval types (accuracy,agent_as_judge,performance,reliability)

Example:

"accuracy,agent_as_judge,performance,reliability"

Response

Evaluation runs retrieved successfully

data
EvalSchema · object[]
required

List of items for the current page

meta
PaginationInfo · object
required

Pagination metadata